#!/usr/bin/perl

use strict;
use warnings;
use lib "~/";
use Getopt::Std;

use PVE::Storage::StorageMigrate;
my ($disk, $maxwait, $nosuspend, $storage);

my %opts = ();
getopts('d:hm:ns:', \%opts);

sub usage {
my $help = <<_EOT;
	$0 -h
	$0 -d disk -s storage [-n] [-m sec]
	
	-h		Show this help
	-d		Disk to migrate (\$storage:vm-\$vmid-disk-\$number)
	-m		Max wait time in seconds for write. Integer
	-n		No suspend. Disallow suspend to complete. prefer to wait
	-s		Storage to migrate to
_EOT

	print $help;
	exit 1;
}

usage() if ((!%opts) || $opts{h});
$disk = $opts{d} if $opts{d};
$storage = $opts{s} if $opts{s};
$maxwait = $opts{m} if $opts{m};
$nosuspend = 1 if $opts{n};
usage() if (!$storage || !$disk);

die "$disk: Bad format\n" if ($disk !~ /^.+:(\d+\/)?vm-\d+-disk-\d+/);

my $sm = \&PVE::Storage::StorageMigrate::storage_migrate;
$sm->($disk, $storage, $maxwait, $nosuspend);
#'pve-storage1_lvm:vm-102-disk-1', 'pve-storage1_nfs');

